Loading...
Searching...
No Matches
fastjet::MassDropTaggerStructure Class Reference
FastJet tools » Taggers

the structure returned by the MassDropTagger transformer. More...

`#include <fastjet/tools/MassDropTagger.hh>`

Inheritance diagram for fastjet::MassDropTaggerStructure:
[legend]
Collaboration diagram for fastjet::MassDropTaggerStructure:
[legend]

## Public Member Functions

| MassDropTaggerStructure (const PseudoJet &result_jet)
| ctor with initialisation
double | mu () const
| returns the mass-drop ratio, pieces[0].m()/jet.m(), for the splitting that triggered the mass-drop condition
double | y () const
| returns the value of y = (squared kt distance) / (squared mass) for the splitting that triggered the mass-drop condition
Public Member Functions inherited from fastjet::WrappedStructure
| WrappedStructure (const SharedPtr< PseudoJetStructureBase > &to_be_shared)
| default ctor the argument is the structure we need to wrap
virtual | ~WrappedStructure ()
| default (virtual) dtor
virtual std::string | description () const override
| description
virtual bool | has_associated_cluster_sequence () const override
| returns true if there is an associated ClusterSequence
virtual const ClusterSequence * | associated_cluster_sequence () const override
| get a (const) pointer to the parent ClusterSequence (NULL if inexistent)
virtual bool | has_valid_cluster_sequence () const override
| returns true if this PseudoJet has an associated and still valid ClusterSequence.
virtual const ClusterSequence * | validated_cs () const override
| if the jet has a valid associated cluster sequence then return a pointer to it; otherwise throw an error
virtual const ClusterSequenceAreaBase * | validated_csab () const override
| if the jet has valid area information then return a pointer to the associated ClusterSequenceAreaBase object; otherwise throw an error
virtual bool | has_partner (const PseudoJet &reference, PseudoJet &partner) const override
| check if it has been recombined with another PseudoJet in which case, return its partner through the argument.
virtual bool | has_child (const PseudoJet &reference, PseudoJet &child) const override
| check if it has been recombined with another PseudoJet in which case, return its child through the argument.
virtual bool | has_parents (const PseudoJet &reference, PseudoJet &parent1, PseudoJet &parent2) const override
| check if it is the product of a recombination, in which case return the 2 parents through the 'parent1' and 'parent2' arguments.
virtual bool | object_in_jet (const PseudoJet &reference, const PseudoJet &jet) const override
| check if the reference PseudoJet is contained the second one passed as argument.
virtual bool | has_constituents () const override
| return true if the structure supports constituents.
virtual std::vector< PseudoJet > | constituents (const PseudoJet &reference) const override
| retrieve the constituents.
virtual bool | has_exclusive_subjets () const override
| return true if the structure supports exclusive_subjets.
virtual std::vector< PseudoJet > | exclusive_subjets (const PseudoJet &reference, const double &dcut) const override
| return a vector of all subjets of the current jet (in the sense of the exclusive algorithm) that would be obtained when running the algorithm with the given dcut.
virtual int | n_exclusive_subjets (const PseudoJet &reference, const double &dcut) const override
| return the size of exclusive_subjets(...); still n ln n with same coefficient, but marginally more efficient than manually taking exclusive_subjets.size()
virtual std::vector< PseudoJet > | exclusive_subjets_up_to (const PseudoJet &reference, int nsub) const override
| return the list of subjets obtained by unclustering the supplied jet down to n subjets (or all constituents if there are fewer than n).
virtual double | exclusive_subdmerge (const PseudoJet &reference, int nsub) const override
| return the dij that was present in the merging nsub+1 -> nsub subjets inside this jet.
virtual double | exclusive_subdmerge_max (const PseudoJet &reference, int nsub) const override
| return the maximum dij that occurred in the whole event at the stage that the nsub+1 -> nsub merge of subjets occurred inside this jet.
virtual bool | has_pieces (const PseudoJet &reference) const override
| return true if the structure supports pieces.
virtual std::vector< PseudoJet > | pieces (const PseudoJet &reference) const override
| retrieve the pieces building the jet.
virtual bool | has_area () const override
| check if it has a defined area
virtual double | area (const PseudoJet &reference) const override
| return the jet (scalar) area.
virtual double | area_error (const PseudoJet &reference) const override
| return the error (uncertainty) associated with the determination of the area of this jet.
virtual PseudoJet | area_4vector (const PseudoJet &reference) const override
| return the jet 4-vector area.
virtual bool | is_pure_ghost (const PseudoJet &reference) const override
| true if this jet is made exclusively of ghosts.
Public Member Functions inherited from fastjet::PseudoJetStructureBase
| PseudoJetStructureBase ()
| default ctor
virtual | ~PseudoJetStructureBase ()
| default (virtual) dtor

## Protected Attributes

double | _mu
| the value of the mass-drop parameter
double | _y
| the value of the asymmetry parameter
SharedPtr< PseudoJetStructureBase > | _structure
| the wrapped structure

## Friends

class | MassDropTagger

## Detailed Description

the structure returned by the MassDropTagger transformer.

See the MassDropTagger class description for the details of what is inside this structure

Definition at line 124 of file MassDropTagger.hh.

## Constructor & Destructor Documentation

## MassDropTaggerStructure()

fastjet::MassDropTaggerStructure::MassDropTaggerStructure | ( | const PseudoJet & | result_jet | ) |

inline

ctor with initialisation

Parameters

  pieces | the pieces of the created jet
  rec | the recombiner from the underlying cluster sequence

Definition at line 129 of file MassDropTagger.hh.

## Member Function Documentation

## mu()

double fastjet::MassDropTaggerStructure::mu | ( |  | ) | const

inline

returns the mass-drop ratio, pieces[0].m()/jet.m(), for the splitting that triggered the mass-drop condition

Definition at line 134 of file MassDropTagger.hh.

## y()

double fastjet::MassDropTaggerStructure::y | ( |  | ) | const

inline

returns the value of y = (squared kt distance) / (squared mass) for the splitting that triggered the mass-drop condition

Definition at line 138 of file MassDropTagger.hh.

## Friends And Related Symbol Documentation

## MassDropTagger

friend class MassDropTagger

friend

Definition at line 149 of file MassDropTagger.hh.

## Member Data Documentation

## _mu

double fastjet::MassDropTaggerStructure::_mu

protected

the value of the mass-drop parameter

Definition at line 144 of file MassDropTagger.hh.

## _y

double fastjet::MassDropTaggerStructure::_y

protected

the value of the asymmetry parameter

Definition at line 145 of file MassDropTagger.hh.

The documentation for this class was generated from the following file:

- tools/fastjet/tools/MassDropTagger.hh